Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.collection.base_cpm
Interface CasDataProcessor

All Superinterfaces:
  CasProcessor

All Known Subinterfaces:
  CasDataConsumer

All Known Implementing Classes:
  CasDataConsumer_ImplBase

    public interface CasDataProcessor

extends CasProcessor

Interface for CAS processors that want to interact directly with the `CasData`. This works best for simple processors that do not need the indexing or strong typing features provided by the CAS container.

Method Summary
`CasData` | `process(CasData aCAS)` Process a single CasData.
`CasData[]` | `process(CasData[] aCASes)` Process multiple CasData objects.

Methods inherited from interface org.apache.uima.collection.base_cpm.CasProcessor
`batchProcessComplete, collectionProcessComplete, getProcessingResourceMetaData, isReadOnly, isStateless`

Method Detail

### process

    CasData process(CasData aCAS)
                    throws ResourceProcessException

  Process a single CasData.

  Parameters:
    `aCAS` - the input CasData
  Returns:
    the output CasData (if this CAS processor is `read-only`, this will always be equivalent to `aCAS`.
  Throws:
    `ResourceProcessException` - if processing fails

### process

    CasData[] process(CasData[] aCASes)
                      throws ResourceProcessException

  Process multiple CasData objects.

  Parameters:
    `aCASes` - the input CasData objects
  Returns:
    the output CasData objects (if this CAS processor is `read-only`, these will always be equivalent to `aCASes`.
  Throws:
    `ResourceProcessException` - if processing fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.